let alerts = msg.payload

// Filter for Severe Thunderstorm Warnings

let ts = alerts.filter(function(alert) {
    if (alert.raw.properties &&
    alert.raw.properties.event === "Severe Thunderstorm Warning") {
        return true
    }
})

// Filter for Severe Thunderstorm Warnings with tornado detection
// that have a tornado possible parameter

let tstp = alerts.filter(function(alert) {
    if (alert.raw.properties &&
    alert.raw.properties.event === "Severe Thunderstorm Warning" &&
    alert.raw.properties.parameters &&
    alert.raw.properties.parameters.tornadoDetection &&
    alert.raw.properties.parameters.tornadoDetection.length > 0) {
        let tornadoPossible = alert.raw.properties.parameters.tornadoDetection[0]
        return tornadoPossible === "POSSIBLE"
    }
})

// Filter for Tornado Warnings

let tornado = alerts.filter(function(alert) {
    if (alert.raw.properties &&
    alert.raw.properties.event === "Tornado Warning") {
        return true
    }
})

// If there are any alerts, return them

msg.ts = ts
msg.ts_count = ts.length

msg.tstp = tstp
msg.tstp_count = tstp.length

msg.tornado = tornado
msg.tornado_count = tornado.length

return msg